/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.kintai.payroll.dto;

import jp.mosp.common.common.BaseDto;

/**
 * KD_WORK(勤怠集計)のDTOクラス。
 */
public class KdWorkDto extends BaseDto {
	
	/**
	 * 
	 */
	private static final long	serialVersionUID	= 9190217639325040098L;
	// フィールド
	private String				kcode				= "";
	private String				sikyuym				= "";
	private int					snen				= 0;
	private int					stuki				= 0;
	private int					shi					= 0;
	private double				snissu				= 0;
	private int					skaisu				= 0;
	private int					kinmuji				= 0;
	private int					kyukeiji			= 0;
	private double				yukyu				= 0;
	private double				tokukyu				= 0;
	private double				kekkin				= 0;
	private double				skekkin				= 0;
	private double				daikyu				= 0;
	private double				furikae				= 0;
	private double				kkriyuu6			= 0;
	private double				kkriyuu7			= 0;
	private double				kkriyuu8			= 0;
	private double				kkriyuu9			= 0;
	private double				sonota				= 0;
	private int					tisokai				= 0;
	private int					tisojikan			= 0;
	private int					zajikan				= 0;
	private int					ksjikan				= 0;
	private int					snjikan				= 0;
	private int					kaikin				= 0;
	private int					syokujikaisu		= 0;
	private int					cyokukaisu1			= 0;
	private int					cyokukaisu2			= 0;
	private int					cyokukaisu3			= 0;
	private int					hokakaisu1			= 0;
	private int					hokakaisu2			= 0;
	private int					hokakaisu3			= 0;
	private int					hokakaisu4			= 0;
	private int					hokakaisu5			= 0;
	private int					sinseigaku			= 0;
	private int					warimasi1			= 0;
	private int					weekdayovertime		= 0;
	private int					weekholidayovertime	= 0;
	private int					monthlyovertime		= 0;
	private int					monthlyweekholiday	= 0;
	private int					hourholiday			= 0;
	private double				substituteholiday	= 0;
	private int					amendflag			= 0;
	

	/**
	 * コンストラクタ。
	 */
	public KdWorkDto() {
		super();
	}
	
	// アクセサメソッド
	/**
	 * @return kcode 	社員コード。
	 */
	public String getKCode() {
		return kcode;
	}
	
	/**
	 * @return sikyuym 	支給年月。
	 */
	public String getSikyuYm() {
		return sikyuym;
	}
	
	/**
	 * @return snen 	支給年。
	 */
	public int getSNen() {
		return snen;
	}
	
	/**
	 * @return stuki 	支給月。
	 */
	public int getSTuki() {
		return stuki;
	}
	
	/**
	 * @return shi 	支給日。
	 */
	public int getSHi() {
		return shi;
	}
	
	/**
	 * @return snissu 	出勤日数。
	 */
	public double getSNissu() {
		return snissu;
	}
	
	/**
	 * @return skaisu 	出勤回数。
	 */
	public int getSKaisu() {
		return skaisu;
	}
	
	/**
	 * @return kinmuji 	勤務時間。
	 */
	public int getKinmuJi() {
		return kinmuji;
	}
	
	/**
	 * @return kyukeiji 	休憩時間。
	 */
	public int getKyukeiJi() {
		return kyukeiji;
	}
	
	/**
	 * @return yukyu 	有給。
	 */
	public double getYukyu() {
		return yukyu;
	}
	
	/**
	 * @return tokukyu 	特別休暇。
	 */
	public double getTokukyu() {
		return tokukyu;
	}
	
	/**
	 * @return kekkin 	一般欠勤日数。
	 */
	public double getKekkin() {
		return kekkin;
	}
	
	/**
	 * @return skekkin 	傷病欠勤日数。
	 */
	public double getSKekkin() {
		return skekkin;
	}
	
	/**
	 * @return daikyu 	代替休暇。
	 */
	public double getDaikyu() {
		return daikyu;
	}
	
	/**
	 * @return furikae 	振替休暇。
	 */
	public double getFurikae() {
		return furikae;
	}
	
	/**
	 * @return kkriyuu6 	休暇理由6。
	 */
	public double getKkRiyuu6() {
		return kkriyuu6;
	}
	
	/**
	 * @return kkriyuu7 	休暇理由7。
	 */
	public double getKkRiyuu7() {
		return kkriyuu7;
	}
	
	/**
	 * @return kkriyuu8 	休暇理由8。
	 */
	public double getKkRiyuu8() {
		return kkriyuu8;
	}
	
	/**
	 * @return kkriyuu9 	休暇理由9。
	 */
	public double getKkRiyuu9() {
		return kkriyuu9;
	}
	
	/**
	 * @return sonota 	その他休暇。
	 */
	public double getSonota() {
		return sonota;
	}
	
	/**
	 * @return tisokai 	遅刻早退回数。
	 */
	public int getTiSoKai() {
		return tisokai;
	}
	
	/**
	 * @return tisojikan 	遅刻早退時間。
	 */
	public int getTiSoJikan() {
		return tisojikan;
	}
	
	/**
	 * @return zajikan 	普通残業時間。
	 */
	public int getZaJikan() {
		return zajikan;
	}
	
	/**
	 * @return ksjikan 	休日出勤時間。
	 */
	public int getKsJikan() {
		return ksjikan;
	}
	
	/**
	 * @return snjikan 	深夜勤務時間。
	 */
	public int getSnJikan() {
		return snjikan;
	}
	
	/**
	 * @return kaikin 	精皆勤手当支給。
	 */
	public int getKaikin() {
		return kaikin;
	}
	
	/**
	 * @return syokujikaisu 	食事手当支給回数。
	 */
	public int getSyokujiKaisu() {
		return syokujikaisu;
	}
	
	/**
	 * @return cyokukaisu1 	1直手当支給回数。
	 */
	public int getCyokuKaisu1() {
		return cyokukaisu1;
	}
	
	/**
	 * @return cyokukaisu2 	2直手当支給回数。
	 */
	public int getCyokuKaisu2() {
		return cyokukaisu2;
	}
	
	/**
	 * @return cyokukaisu3 	3直手当支給回数。
	 */
	public int getCyokuKaisu3() {
		return cyokukaisu3;
	}
	
	/**
	 * @return hokakaisu1 	その他支給回数1。
	 */
	public int getHokaKaisu1() {
		return hokakaisu1;
	}
	
	/**
	 * @return hokakaisu2 	その他支給回数2。
	 */
	public int getHokaKaisu2() {
		return hokakaisu2;
	}
	
	/**
	 * @return hokakaisu3 	その他支給回数3。
	 */
	public int getHokaKaisu3() {
		return hokakaisu3;
	}
	
	/**
	 * @return hokakaisu4 	その他支給回数4。
	 */
	public int getHokaKaisu4() {
		return hokakaisu4;
	}
	
	/**
	 * @return hokakaisu5 	その他支給回数5。
	 */
	public int getHokaKaisu5() {
		return hokakaisu5;
	}
	
	/**
	 * @return sinseigaku 	支払申請額。
	 */
	public int getSinseiGaku() {
		return sinseigaku;
	}
	
	/**
	 * @return warimasi1 	1.00割増。
	 */
	public int getWarimasi1() {
		return warimasi1;
	}
	
	/**
	 * @return weekdayovertime 	平日時間外。
	 */
	public int getWeekDayOverTime() {
		return weekdayovertime;
	}
	
	/**
	 * @return weekholidayovertime 	所定休日時間外。
	 */
	public int getWeekHolidayOverTime() {
		return weekholidayovertime;
	}
	
	/**
	 * @return monthlyovertime 	月60時間超過平日時間外。
	 */
	public int getMonthlyOverTime() {
		return monthlyovertime;
	}
	
	/**
	 * @return monthlyweekholiday 	月60時間超過所定休日時間外。
	 */
	public int getMonthlyWeekHoliday() {
		return monthlyweekholiday;
	}
	
	/**
	 * @return hourholiday 	時間単位年休取得時間。
	 */
	public int getHourHoliday() {
		return hourholiday;
	}
	
	/**
	 * @return substituteholiday 	時間外時間代替休暇取得日数。
	 */
	public double getSubstituteHoliday() {
		return substituteholiday;
	}
	
	/**
	 * @return amendflag 	修正フラグ。
	 */
	public int getAmendFlag() {
		return amendflag;
	}
	
	/**
	 * @param kcode 	セットする社員コード。
	 */
	public void setKCode(String kcode) {
		this.kcode = kcode;
	}
	
	/**
	 * @param sikyuym 	セットする支給年月。
	 */
	public void setSikyuYm(String sikyuym) {
		this.sikyuym = sikyuym;
	}
	
	/**
	 * @param snen 	セットする支給年。
	 */
	public void setSNen(int snen) {
		this.snen = snen;
	}
	
	/**
	 * @param stuki 	セットする支給月。
	 */
	public void setSTuki(int stuki) {
		this.stuki = stuki;
	}
	
	/**
	 * @param shi 	セットする支給日。
	 */
	public void setSHi(int shi) {
		this.shi = shi;
	}
	
	/**
	 * @param snissu 	セットする出勤日数。
	 */
	public void setSNissu(double snissu) {
		this.snissu = snissu;
	}
	
	/**
	 * @param skaisu 	セットする出勤回数。
	 */
	public void setSKaisu(int skaisu) {
		this.skaisu = skaisu;
	}
	
	/**
	 * @param kinmuji 	セットする勤務時間。
	 */
	public void setKinmuJi(int kinmuji) {
		this.kinmuji = kinmuji;
	}
	
	/**
	 * @param kyukeiji 	セットする休憩時間。
	 */
	public void setKyukeiJi(int kyukeiji) {
		this.kyukeiji = kyukeiji;
	}
	
	/**
	 * @param yukyu 	セットする有給。
	 */
	public void setYukyu(double yukyu) {
		this.yukyu = yukyu;
	}
	
	/**
	 * @param tokukyu 	セットする特別休暇。
	 */
	public void setTokukyu(double tokukyu) {
		this.tokukyu = tokukyu;
	}
	
	/**
	 * @param kekkin 	セットする一般欠勤日数。
	 */
	public void setKekkin(double kekkin) {
		this.kekkin = kekkin;
	}
	
	/**
	 * @param skekkin 	セットする傷病欠勤日数。
	 */
	public void setSKekkin(double skekkin) {
		this.skekkin = skekkin;
	}
	
	/**
	 * @param daikyu 	セットする代替休暇。
	 */
	public void setDaikyu(double daikyu) {
		this.daikyu = daikyu;
	}
	
	/**
	 * @param furikae 	セットする振替休暇。
	 */
	public void setFurikae(double furikae) {
		this.furikae = furikae;
	}
	
	/**
	 * @param kkriyuu6 	セットする休暇理由6。
	 */
	public void setKkRiyuu6(double kkriyuu6) {
		this.kkriyuu6 = kkriyuu6;
	}
	
	/**
	 * @param kkriyuu7 	セットする休暇理由7。
	 */
	public void setKkRiyuu7(double kkriyuu7) {
		this.kkriyuu7 = kkriyuu7;
	}
	
	/**
	 * @param kkriyuu8 	セットする休暇理由8。
	 */
	public void setKkRiyuu8(double kkriyuu8) {
		this.kkriyuu8 = kkriyuu8;
	}
	
	/**
	 * @param kkriyuu9 	セットする休暇理由9。
	 */
	public void setKkRiyuu9(double kkriyuu9) {
		this.kkriyuu9 = kkriyuu9;
	}
	
	/**
	 * @param sonota 	セットするその他休暇。
	 */
	public void setSonota(double sonota) {
		this.sonota = sonota;
	}
	
	/**
	 * @param tisokai 	セットする遅刻早退回数。
	 */
	public void setTiSoKai(int tisokai) {
		this.tisokai = tisokai;
	}
	
	/**
	 * @param tisojikan 	セットする遅刻早退時間。
	 */
	public void setTiSoJikan(int tisojikan) {
		this.tisojikan = tisojikan;
	}
	
	/**
	 * @param zajikan 	セットする普通残業時間。
	 */
	public void setZaJikan(int zajikan) {
		this.zajikan = zajikan;
	}
	
	/**
	 * @param ksjikan 	セットする休日出勤時間。
	 */
	public void setKsJikan(int ksjikan) {
		this.ksjikan = ksjikan;
	}
	
	/**
	 * @param snjikan 	セットする深夜勤務時間。
	 */
	public void setSnJikan(int snjikan) {
		this.snjikan = snjikan;
	}
	
	/**
	 * @param kaikin 	セットする精皆勤手当支給。
	 */
	public void setKaikin(int kaikin) {
		this.kaikin = kaikin;
	}
	
	/**
	 * @param syokujikaisu 	セットする食事手当支給回数。
	 */
	public void setSyokujiKaisu(int syokujikaisu) {
		this.syokujikaisu = syokujikaisu;
	}
	
	/**
	 * @param cyokukaisu1 	セットする1直手当支給回数。
	 */
	public void setCyokuKaisu1(int cyokukaisu1) {
		this.cyokukaisu1 = cyokukaisu1;
	}
	
	/**
	 * @param cyokukaisu2 	セットする2直手当支給回数。
	 */
	public void setCyokuKaisu2(int cyokukaisu2) {
		this.cyokukaisu2 = cyokukaisu2;
	}
	
	/**
	 * @param cyokukaisu3 	セットする3直手当支給回数。
	 */
	public void setCyokuKaisu3(int cyokukaisu3) {
		this.cyokukaisu3 = cyokukaisu3;
	}
	
	/**
	 * @param hokakaisu1 	セットするその他支給回数1。
	 */
	public void setHokaKaisu1(int hokakaisu1) {
		this.hokakaisu1 = hokakaisu1;
	}
	
	/**
	 * @param hokakaisu2 	セットするその他支給回数2。
	 */
	public void setHokaKaisu2(int hokakaisu2) {
		this.hokakaisu2 = hokakaisu2;
	}
	
	/**
	 * @param hokakaisu3 	セットするその他支給回数3。
	 */
	public void setHokaKaisu3(int hokakaisu3) {
		this.hokakaisu3 = hokakaisu3;
	}
	
	/**
	 * @param hokakaisu4 	セットするその他支給回数4。
	 */
	public void setHokaKaisu4(int hokakaisu4) {
		this.hokakaisu4 = hokakaisu4;
	}
	
	/**
	 * @param hokakaisu5 	セットするその他支給回数5。
	 */
	public void setHokaKaisu5(int hokakaisu5) {
		this.hokakaisu5 = hokakaisu5;
	}
	
	/**
	 * @param sinseigaku 	セットする支払申請額。
	 */
	public void setSinseiGaku(int sinseigaku) {
		this.sinseigaku = sinseigaku;
	}
	
	/**
	 * @param warimasi1 	セットする1.00割増。
	 */
	public void setWarimasi1(int warimasi1) {
		this.warimasi1 = warimasi1;
	}
	
	/**
	 * @param weekdayovertime 	セットする平日時間外。
	 */
	public void setWeekDayOverTime(int weekdayovertime) {
		this.weekdayovertime = weekdayovertime;
	}
	
	/**
	 * @param weekholidayovertime 	セットする所定休日時間外。
	 */
	public void setWeekHolidayOverTime(int weekholidayovertime) {
		this.weekholidayovertime = weekholidayovertime;
	}
	
	/**
	 * @param monthlyovertime 	セットする月60時間超過平日時間外。
	 */
	public void setMonthlyOverTime(int monthlyovertime) {
		this.monthlyovertime = monthlyovertime;
	}
	
	/**
	 * @param monthlyweekholiday 	セットする月60時間超過所定休日時間外。
	 */
	public void setMonthlyWeekHoliday(int monthlyweekholiday) {
		this.monthlyweekholiday = monthlyweekholiday;
	}
	
	/**
	 * @param hourholiday 	セットする時間単位年休取得時間。
	 */
	public void setHourHoliday(int hourholiday) {
		this.hourholiday = hourholiday;
	}
	
	/**
	 * @param substituteholiday 	セットする時間外時間代替休暇取得日数。
	 */
	public void setSubstituteHoliday(double substituteholiday) {
		this.substituteholiday = substituteholiday;
	}
	
	/**
	 * @param amendflag 	セットする修正フラグ。
	 */
	public void setAmendFlag(int amendflag) {
		this.amendflag = amendflag;
	}
	
}
